package cd.casic.ci.common.pipeline.container;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.container
 * @Project：ops-pro
 * @name：MutexGroup
 * @Date：2025/03/25 16:54
 * @Filename：MutexGroup
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "互斥组模型")
public class MutexGroup {
    @Schema(title = "是否启用", required = false)
    private Boolean enable;
    @Schema(title = "互斥组名称", required = false)
    private String mutexGroupName;
    @Schema(title = "是否排队", required = false)
    private Boolean queueEnable;
    @Schema(title = "排队等待时间（分钟）0表示不等待直接失败", required = false)
    private Integer timeout;
    @Schema(title = "支持变量解析的timeout，变量值非数字则会改取timeout值", required = false)
    private String timeoutVar;
    @Schema(title = "排队队列大小", required = false)
    private Integer queue;
    @Schema(title = "运行时实际互斥锁名称（有值则已初始化）", required = false)
    private String runtimeMutexGroup;
    @Schema(title = "占用锁定的信息用于日志提示", required = false)
    private String linkTip;
}
