package cd.casic.ci.common.pipeline.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.enums
 * @Project：ops-pro
 * @name：CodePullStrategy
 * @Date：2025/03/25 17:03
 * @Filename：CodePullStrategy
 * @description：Todo
 */
@Getter
@AllArgsConstructor
public enum CodePullStrategy {
    FRESH_CHECKOUT("fresh_checkout"),
    INCREMENT_UPDATE("increment_update"),
    REVERT_UPDATE("revert_update");

    private final String value;

    public static CodePullStrategy fromValue(String value) {
        for (CodePullStrategy strategy : values()) {
            if (strategy.value.equals(value)) {
                return strategy;
            }
        }
        throw new IllegalArgumentException("The strategy(" + value + ") is not exist");
    }
}
