package cd.casic.ci.log.dal.pojo.enums;

import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.RequiredArgsConstructor;

/**
 * @author by mianbin
 * @Classname LogStatus
 * @Description 日志状态
 * @Date 2025/3/19 17:07
 */
@RequiredArgsConstructor()
@Schema(title = "日志状态")
public enum LogStatusEnum {
    @Schema(description = "查询成功")
    SUCCEED(0),
    @Schema(description = "日志为空")
    EMPTY(1),
    @Schema(description = "日志已过期")
    CLEAN(2),
    @Schema(description = "日志已清理")
    CLOSED(3),
    @Schema(description = "查询异常")
    FAIL(999);

    public int status;

    LogStatusEnum(int status){
        this.status = status;
    }

    @JsonValue
    public int jsonValue() {
        return status;
    }

    public static LogStatusEnum parse(int status){
        switch (status){
            case 0:
                return SUCCEED;
            case 1:
                return EMPTY;
            case 2:
                return CLEAN;
            case 3:
                return CLOSED;
            default:
                return FAIL;
        }
    }
}
