package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.container.Stage;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineTemplateInfo
 * @Date：2025/03/24 16:50
 * @Filename：PipelineTemplateInfo
 * @description：Todo
 */
@Data
public class PipelineTemplateInfo {
    @Schema(title = "模版名称", required = true)
    private String name;
    @Schema(title = "模版ID", required = true)
    private String templateId;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "当前模板版本ID", required = true)
    private Long version;
    @Schema(title = "父模板版本ID", required = true)
    private Long srcTemplateVersion;
    @Schema(title = "最新版本号", required = true)
    private String versionName;
    @Schema(title = "模板类型", required = true)
    private String templateType;
    @Schema(title = "模板类型描述", required = true)
    private String templateTypeDesc;
    @Schema(title = "应用范畴", required = true)
    private List<String> category;
    @Schema(title = "模版logo", required = true)
    private String logoUrl;
    @Schema(title = "阶段集合", required = true)
    private List<Stage> stages;
    @Schema(title = "模版名称，兼容老代码", required = true)
    private String templateName;
    @Schema(title = "父模板ID", required = true)
    private String srcTemplateId;
}
