package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：ProjectPipelineCallBackHistory
 * @Date：2025/03/24 17:00
 * @Filename：ProjectPipelineCallBackHistory
 * @description：Todo
 */
@Data
@Schema(title = "项目的流水线回调历史")
@AllArgsConstructor
public class ProjectPipelineCallBackHistory {
    @Schema(title = "流水线id", required = false)
    private Long id;
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "回调url地址", required = false)
    private String callBackUrl;
    @Schema(title = "事件", required = false)
    private String events;
    @Schema(title = "状态", required = false)
    private String status;
    @Schema(title = "请求header", required = false)
    private List<CallBackHeader> requestHeaders;
    @Schema(title = "请求body", required = false)
    private String requestBody;
    @Schema(title = "响应状态码", required = false)
    private Integer responseCode;
    @Schema(title = "响应body", required = false)
    private String responseBody;
    @Schema(title = "错误信息", required = false)
    private String errorMsg;
    @Schema(title = "创建时间", required = false)
    private Long createdTime;
    @Schema(title = "开始时间", required = false)
    private Long startTime;
    @Schema(title = "结束时间", required = false)
    private Long endTime;

    @Data
    @Schema(title = "回调header 模型")
    @AllArgsConstructor
    public static class CallBackHeader {
        @Schema(title = "名字", required = false)
        private String name;
        @Schema(title = "值", required = false)
        private String value;
    }
}
