package cd.casic.ci.process.api.process.pojo.pipeline;

import cd.casic.ci.common.pipeline.pojo.element.Element;
import cd.casic.ci.common.pipeline.pojo.element.atom.SubPipelineType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname SubPipelineRef
 * @Description TODO
 * @Date 2025/3/31 17:51
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "子流水线依赖信息")
public class SubPipelineRef {
    @Schema(title = "流水线Id", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "流水线项目Id", required = true)
    private String projectId;
    @Schema(title = "流水线项目渠道", required = true)
    private String channel;
    @Schema(title = "插件", required = true)
    private Element element;
    @Schema(title = "插件所在位置[stageIndex-containerIndex-taskIndex]", required = true)
    private String taskPosition;
    @Schema(title = "子流水线流水线Id", required = true)
    private String subPipelineId;
    @Schema(title = "子流水线项目Id", required = true)
    private String subProjectId;
    @Schema(title = "子流水线名称", required = true)
    private String subPipelineName;
    @Schema(title = "校验权限用户", required = true)
    private String userId = "";
    @Schema(title = "插件启用状态", required = true)
    private boolean elementEnable = true;
    @Schema(title = "是否为模板流水线", required = true)
    private boolean isTemplate = false;
    @Schema(title = "插件参数[projectId]", required = false)
    private String taskProjectId = "";
    @Schema(title = "插件参数[type]", required = false)
    private SubPipelineType taskPipelineType = SubPipelineType.ID;
    @Schema(title = "插件参数[pipelineId]", required = false)
    private String taskPipelineId = "";
    @Schema(title = "插件参数[pipelineName]", required = false)
    private String taskPipelineName = "";

    // 递归检查使用
    public String refKey() {
        return projectId + "|" + pipelineId;
    }

    // 递归检查使用
    public String subRefKey() {
        return subProjectId + "|" + subPipelineId;
    }

    // 链路打印
    public String chainKey() {
        return projectId + "|" + pipelineId + "|" + taskPosition;
    }
}
