package cd.casic.ci.process.api.process.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：PipelineRunType
 * @Date：2025/03/24 20:22
 * @Filename：PipelineRunType
 * @description：Todo
 */
public enum PipelineRunType {
    @Schema(title = "可同时运行多个构建任务（默认）")
    MULTIPLE,
    @Schema(title = "同一时间最多只能运行一个构建任务")
    SINGLE,
    @Schema(title = "最多只能运行一个构建任务，且失败时锁定")
    SINGLE_LOCK,
    @Schema(title = "锁定流水线，任何触发方式都无法运行")
    LOCK;
    public static int toValue(PipelineRunType type) {
        return switch (type) {
            case MULTIPLE -> 1;
            case SINGLE -> 2;
            case SINGLE_LOCK -> 3;
            case LOCK -> 4;
            default -> 1;
        };
    }

    public static PipelineRunType valueOf(int value) {
        return switch (value) {
            case 1 -> MULTIPLE;
            case 2 -> SINGLE;
            case 3 -> SINGLE_LOCK;
            case 4 -> LOCK;
            default -> MULTIPLE;
        };
    }
}