package cd.casic.ci.process.process.service.target.impl;

import cd.casic.ci.process.process.dal.pipeline.TargetVersionDao;
import cd.casic.ci.process.process.dataObject.target.TargetVersion;
import cd.casic.ci.process.process.service.target.TargetVersionService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import jakarta.annotation.Resource;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetVersionServiceImpl
 * @Date: 2025/5/17 15:20
 * @Description:
 */
@Service
@Slf4j
public class TargetVersionServiceImpl extends ServiceImpl<TargetVersionDao, TargetVersion> implements TargetVersionService {
    @Resource
    private TargetVersionDao targetVersionDao;

    @Override
    public List<TargetVersion> selectListByManagerId(String targetId) {
        QueryWrapper<TargetVersion> wrapper = new QueryWrapper<>();
        wrapper.eq("target_id",targetId);
        List<TargetVersion> versionList = targetVersionDao.selectList(wrapper);
        if (CollectionUtils.isEmpty(versionList)){
            return new ArrayList<>(0);
        }
        return versionList;
    }
}
