package cd.casic.pipeline.store.api.common;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.common.platform.StoreDockingPlatformRequest;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.*;

import java.util.List;

import static cd.casic.ci.common.pipeline.constant.OpsHeader.AUTH_HEADER_DEVOPS_USER_ID;

@Tag(name = "BUILD_STORE_DOCKING_PLATFORM", description = "build_store_docking_platform")
@RestController
@RequestMapping("/build/store/docking/platform/sync")
public interface BuildStoreDockingPlatformResource {

    @Operation(summary = "同步新增平台信息")
    @PostMapping("/add")
    CommonResult<Integer> synAddPlatformData(
            @RequestHeader(AUTH_HEADER_DEVOPS_USER_ID)
            @Parameter(description = "用户ID", required = true)
            String userId,
            @Parameter(description = "store组件对接平台请求", required = true)
            List<StoreDockingPlatformRequest> storeDockingPlatformRequests
    );

    @Operation(summary = "同步删除平台信息")
    @DeleteMapping("/delete")
    CommonResult<Integer> synDeletePlatformData(
            @RequestHeader(AUTH_HEADER_DEVOPS_USER_ID)
            @Parameter(description = "用户ID", required = true)
            String userId,
            @Parameter(description = "store组件对接平台请求", required = true)
            List<StoreDockingPlatformRequest> storeDockingPlatformRequests
    );

    @Operation(summary = "同步更新平台信息")
    @PostMapping("/update")
    CommonResult<Integer> synUpdatePlatformData(
            @RequestHeader(AUTH_HEADER_DEVOPS_USER_ID)
            @Parameter(description = "用户ID", required = true)
            String userId,
            @Parameter(description = "store组件对接平台请求", required = true)
            List<StoreDockingPlatformRequest> storeDockingPlatformRequests
    );
}