package cd.casic.pipeline.store.pojo.common.env;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "store组件环境变量信息")
public class StoreEnvVarInfo {
    @Schema(title = "环境变量ID", required = true)
    private String id;
    
    @Schema(title = "store组件代码", required = true)
    private String storeCode;
    
    @Schema(title = "store组件类型", required = true)
    private String storeType;
    
    @Schema(title = "变量名", required = true)
    private String varName;
    
    @Schema(title = "变量值", required = true)
    private String varValue;
    
    @Schema(title = "描述", required = false)
    private String varDesc;
    
    @Schema(title = "变量值是否加密", required = true)
    private Boolean encryptFlag;
    
    @Schema(title = "适用范围 TEST：测试 PRD：正式 ALL：所有", required = true)
    private String scope;
    
    @Schema(title = "版本号", required = true)
    private Integer version;
    
    @Schema(title = "添加用户", required = true)
    private String creator;
    
    @Schema(title = "修改用户", required = true)
    private String modifier;
    
    @Schema(title = "添加时间", required = true)
    private String createTime;
    
    @Schema(title = "修改时间", required = true)
    private String updateTime;
}