package cd.casic.pipeline.store.pojo.image.response;

import cd.casic.pipeline.store.pojo.common.label.Label;
import cd.casic.pipeline.store.pojo.common.index.StoreIndexInfo;
import cd.casic.pipeline.store.pojo.common.comment.StoreUserCommentInfo;
import cd.casic.pipeline.store.pojo.image.enums.ImageAgentTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "镜像详情")
public class ImageDetail {
    @Schema(title = "镜像ID", required = true)
    private String id;
    
    @Schema(title = "镜像代码", required = true)
    private String code;
    
    @Schema(title = "镜像名称", required = true)
    private String name;
    
    @Schema(title = "镜像版本", required = true)
    private String version;
    
    @Schema(title = "镜像类型", required = true)
    private String imageType;
    
    @Schema(title = "镜像代理类型", required = true)
    private ImageAgentTypeEnum agentType;
    
    @Schema(title = "镜像完整地址", required = true)
    private String value;
    
    @Schema(title = "镜像标签列表", required = false)
    private List<Label> labelList;
    
    @Schema(title = "镜像指标信息", required = false)
    private StoreIndexInfo indexInfo;
    
    @Schema(title = "镜像评论信息", required = false)
    private StoreUserCommentInfo commentInfo;
}