package cd.casic.server.controller;

import cd.casic.ci.common.pipeline.req.template.TemplateQueryReq;
import cd.casic.ci.common.pipeline.resp.template.TemplateFindResp;
import cd.casic.ci.common.pipeline.utils.PageResult;
import cd.casic.ci.process.process.service.template.TemplateManagerService;
import cd.casic.framework.commons.pojo.CommonResult;
import jakarta.annotation.Resource;
import jakarta.validation.Valid;
import org.jetbrains.annotations.NotNull;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName PipelineController
 * @Author hopeli
 * @Date 2025/5/10 10:28
 * @Version 1.0
 */

@RestController
@RequestMapping("/template")
public class TemplateManagerController {

    @Resource
    private TemplateManagerService templateManagerService;

//    @PermitAll
//    @PostMapping(path="/createPipeline")
//    public CommonResult<String> createPipeline(@RequestBody @Valid PipelineCreateReq pipelineReq){
//
//        String pipelineId = templateManagerService.createPipeline(pipelineReq);
//
//        return CommonResult.success(pipelineId);
//    }
//
//
//    @PermitAll
//    @PostMapping(path="/findPipelineList")
//    public CommonResult<List<PipelineFindResp>> findPipelineList(@RequestBody @Valid PipelineQueryReq pipelineQueryReq){
//
//        List<PipelineFindResp> respList = templateManagerService.findPipelineList(pipelineQueryReq);
//
//        return CommonResult.success(respList);
//    }
//
//    @PermitAll
//    @PostMapping(path="/findPipelineById")
//    public CommonResult<PipelineFindResp> findPipelineById(@RequestBody @Valid PipelineQueryReq pipelineQueryReq){
//
//        PipelineFindResp resp = templateManagerService.findPipelineById(pipelineQueryReq);
//
//        return CommonResult.success(resp);
//    }
//
//    @PostMapping(path="/deletePipeline")
//    public CommonResult<Void> deletePipeline(@RequestBody @Valid PipelineReq req){
//
//        templateManagerService.deletePipeline(req);
//
//        return CommonResult.success();
//    }
//
//
//    @PostMapping(path="/updatePipeline")
//    public CommonResult<Void> updatePipeline(@RequestBody @NotNull @Valid PipelineUpdateReq pipeline){
//
//        templateManagerService.updatePipeline(pipeline);
//
//        return CommonResult.success();
//    }


    @PostMapping(path="/findTemplatePage")
    public CommonResult<PageResult<TemplateFindResp>> findTemplatePage(@RequestBody @NotNull @Valid TemplateQueryReq query){

        PageResult<TemplateFindResp> pipelineRespPage = templateManagerService.findTemplatePage(query);

        return CommonResult.success(pipelineRespPage);
    }
}
